ByCloud Docs
GuidesCLIAPISDK
delete/v1/iam/service-accounts/{service_account_id}/credentials/{credential_id}

Delete credential

Delete a credential

Path Parameters

service_account_id

string<uuid>required

path

Service Account ID

Example: "550e8400-e29b-41d4-a716-446655440000"

credential_id

string<uuid>required

path

Credential ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

204

Request successful, no content returned

401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
403

Insufficient permissions

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X DELETE "https://api.spo1.mycloud.com/v1/iam/service-accounts/550e8400-e29b-41d4-a716-446655440000/credentials/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Request successful, no content returned

No response body